summaryrefslogtreecommitdiff
path: root/misc/tests/git-server-ssh-protocol.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/tests/git-server-ssh-protocol.sh')
-rwxr-xr-xmisc/tests/git-server-ssh-protocol.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/misc/tests/git-server-ssh-protocol.sh b/misc/tests/git-server-ssh-protocol.sh
new file mode 100755
index 0000000..b1a063f
--- /dev/null
+++ b/misc/tests/git-server-ssh-protocol.sh
@@ -0,0 +1,28 @@
+#! /usr/bin/env bash
+
+tmp=`mktemp -d`
+
+cd $tmp
+
+# SSH protocol
+git clone git@git.ilvokhin.com:infra.git > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ echo "ssh: OK"
+ rm -rf infra
+else
+ echo "ssh: FAIL"
+fi
+
+# SSH protocol absolute path
+git clone ssh://git@git.ilvokhin.com:/srv/git/infra.git > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ echo "ssh absolute: OK"
+ rm -rf infra
+else
+ echo "ssh absolute: FAIL"
+fi
+
+cd - > /dev/null
+rm -rf $tmp